Bug 17907 - shutdown does not powerdown
Summary: shutdown does not powerdown
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-09-29 21:07 UTC by Need Real Name
Modified: 2014-03-17 02:16 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-09-30 03:47:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2000-09-29 21:07:19 UTC
After upgrading from 6.2 to 7, running "shutdown -h now" no longer shuts
down the machine and powers down the machine.  It just shuts down and I
have to manually power down.

I checked /etc/rc.d/init.d/halt and found that at the end of the file halt
is only given the -p option (necessary to powerdown the machine) if the
following is true:
[ -f /poweroff -o ! -f /halt ]

I added an "ls /" command before that line to see what files were in my
root directory at the time of shutdown and I found that /powerdown didn't
exist but /halt did exist.  I assume "/halt" was created temporarily by
shutdown?

Is this a change in behavior?  Do I have to create /powerdown if I want
shutdown to also powerdown the machine?

In any case, commenting out the final conditional, so that -p was always
added as an option, solved my problem.

Comment 1 Alan Cox 2000-10-01 22:38:30 UTC
I believe running 'poweroff' will do what you want.


Comment 2 Need Real Name 2000-10-02 19:41:17 UTC
Thanks.

So I guess:
"shutdown -h now" ==> "/sbin/powerdown"
"shutdown -r now" ==> "/sbin/reboot"
halt but no powerdown ==> "/sbin/halt"

Does this change have to be documented anywhere?


Note You need to log in before you can comment on or make changes to this bug.